Bug 68874 - "linux rescue" mode from disc1 oopses unmounting fs w/ USB CD
"linux rescue" mode from disc1 oopses unmounting fs w/ USB CD
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-07-15 12:07 EDT by David Morse
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot of the oops (38.63 KB, image/jpeg)
2002-07-15 12:08 EDT, David Morse
no flags Details

  None (edit)
Description David Morse 2002-07-15 12:07:35 EDT
Description of Problem:

After booting to rescue mode w/ 7.3 disc1 and a bootable USB CD-ROM (i.e. "linux rescue"), it crashes when unmounting the filesystems after exiting the shell.


Version-Release number of selected component (if applicable): 7.3


How Reproducible:  Every time


Steps to Reproduce:
1. Insert RH 7.3 CD1
2. Type "linux rescue" at the boot: prompt
3. Type control-D to get out of the shell

Actual Results:  System should gracefully unmount the filesystems and reboot after exiting rescue mode


Expected Results:  System oopses immediately after unmounting /proc/bus/usb


Additional Information:
Here is the output on the console:

disabling swap...
unmounting filesystems...
        /mnt/runtime done
        disabling /dev/loop0
        /proc/bus/usbinvalid operand: 0000
CPU:    0
EIP:    0010:[<c0145940>]   Not tainted
EFLAGS: 00010246

EIP is at  (2.4.18-3BOOT)
[register info]
Process linuxrc
Stack: [stack backtrace]
Call Trace: [<c01bd053>]
[<c013858b>]
[<c013bc43>]
[<c01470e7>]
[<c0133336>]
[<c01470ff>]
[<c01085e7>]

Code: [hex codes]
 EXT2-fs: unable to read superblock
cramfs: wrong magic
FAT: unable to read boot sector
isofs_read_super: bread failed, dev=09:00, iso_blknum=16, block=32
FAT: unable to read boot sector
EXT2-fs: unable to read superblock
read_super_block: bread failed (dev 09:00, block 64, size 1024)
read_super_block: bread failed (dev 09:00, block 8, size 1024)
Kernel panic: VFS: Unable to mount root fs on 09:00

I'll attach the screenshot I took as well.
Comment 1 David Morse 2002-07-15 12:08:33 EDT
Created attachment 65405 [details]
Screenshot of the oops
Comment 2 Michael Fulbright 2002-07-17 16:49:30 EDT
Kernel issue, reassigning.
Comment 3 Pete Zaitcev 2002-08-14 20:20:13 EDT
EIP: [<c0145940>]  iput+18/190
Process linuxrc
Call Trace:
[<c01bd053>]    usbdevfs_put_super
[<c013858b>]    kill_super
[<c013bc43>]    path_release
[<c01470e7>]    sys_umount
[<c0133336>]    filp_close ???
[<c01470ff>]
[<c01085e7>]
Comment 4 Pete Zaitcev 2003-10-06 19:25:42 EDT
I'm pretty sure I fixed this, but I forgot when (in 2.4.18 somewhere).
Later JE pushed a better fix, so we adopted that for the 2.4.20.

Please verify that 2.4.20-20 works. Since we're talking about
a rescue image, you'd need a burn disk1 from Severn (current Beta).
Comment 5 Bugzilla owner 2004-09-30 11:39:45 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.